Subject: Re: AW: [Sip] Issue 1 in draft-ietf-sip-connected-identity-00.txt

From: David R Oran <[email-masked]>
Date: Thu, 1 Jun 2006 09:03:57 -0400

On May 31, 2006, at 2:03 AM, Jesske, R wrote:

> The problem is that we try to solve two different approaches.
> 1. The identity approach to get back an authenticated identity of  
> the connected user
> 2. To get back an "additional connected identity" that is  
> unauthenticated and provided by the user.
>
Doesn't (2) sound like the job for a body, not a header? You could  
send a picture, your C.V., a voiceprint - anything you want.

> Due to Jon's comments these are valid for the first case but does  
> not harm the 2nd case.
> So we need the "unanticipated respondent" problem does not exist,  
> because we need only the "additional connected identity" in a final  
> 200OK Response.
>
> Looking on the second concern from Jon. That does not exist for our  
> used cases, because we have also included a P-Asserted-Identity in  
> our responses that identifies the Callee with a public identity so  
> that the called user cannot cheat with the "additional connected  
> identity".
>
> The last problem of appearing the "additional connected identity"  
> in Final responses like the 403 does not appear if we are using the  
> "additional connected identity" only in 200 OK.
>
> So at least we need only an "additional connected identity" when  
> the called UA sends back a 200OK. Perhaps that was misleading in  
> the past discussion that I didn't express this requirement well.
>
> But nevertheless question for me is now how to go forward. Could we  
> use the "dialogUriChange" for this narrowed scope or not.
>
> Best Regards
>
> Roland
>
>> -----Ursprüngliche Nachricht-----
>> Von: Cullen Jennings [mailto:[email-masked]]
>> Gesendet: Dienstag, 23. Mai 2006 04:22
>> An: Jesske, Roland
>> Cc: [email-masked]; [email-masked];
>> [email-masked]; [email-masked];
>> [email-masked]
>> Betreff: Re: [Sip] Issue 1 in draft-ietf-sip-connected- 
>> identity-00.txt
>>
>>
>>
>> On May 8, 2006, at 3:52 AM, Jesske, R wrote:
>>
>>> The discussion showed it that there is no harm in changing the to
>>> header field in a response.
>>
>> I think there has been several emails that point out the
>> implications
>> of this do cause harm (check out pretty much any post on the subject
>> from Jon Peterson).
>>
>> This has been a very long running debate and was discussed for
>> several years with agenda time at many meetings. The change the To
>> and put Identity in response solution has been considered and
>> I think
>> people have tried to explain the issues with it - I'm glad to spend
>> some more time explaining that. However, much more productive would
>> be trying to move off of this solution a little and look at the
>> requirements. What do we need to do - I think there are some straw-
>> man proposal that meet many of the requirements and do work.
>> Understanding what requirements they have issues would would be good
>> and help make them so they could be used.
>>
>> _______________________________________________
>> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>> This list is for NEW development of the core SIP Protocol
>> Use [email-masked] for questions on current sip
>> Use [email-masked] for new developments on the application of sip
>>
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip